##############################################################################
#  
#    Copyright (C) 2004-2010 Yannick Soldati. All Rights Reserved
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from osv import fields, osv

class sale_order(osv.osv):
    _inherit = 'sale.order'
    
    _columns = {
        'origin': fields.char('Origin', size=64, readonly=True),
    }

    def action_wait(self, cr, uid, ids, *args):
    
        sales = self.pool.get('sale.order').browse(cr, uid, ids)
        
        for sale in sales:
            if sale.origin != False:
                sale_ids = self.pool.get('sale.order').search(cr, uid, 
                                            [('origin','=',sale.origin)])
            
                self.pool.get('sale.order').action_cancel(cr, uid, sale_ids)
            
        return super(sale_order, self).action_wait(cr, uid, ids, *args)

sale_order()
